<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'shopping',

    /*
     * Package.
     */
    'package'   => 'shipping',

    /*
     * Modules.
     */
    'modules'   => ['shipping_method', 
'pincode', 
'country', 
'state'],

    'shipping_method'       => [
        'model' => [
            'model'                 => \Shopping\Shipping\Models\ShippingMethod::class,
            'table'                 => 'shipping_methods',
            'presenter'             => \Shopping\Shipping\Repositories\Presenter\ShippingMethodPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['name',  'api_url',  'is_active',  'website',  'phone'],
            'translatables'         => [],
            'upload_folder'         => 'shipping/shipping_method',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Shopping',
            'package'   => 'Shipping',
            'module'    => 'ShippingMethod',
        ],

    ],

    'pincode'       => [
        'model' => [
            'model'                 => \Shopping\Shipping\Models\Pincode::class,
            'table'                 => 'pincodes',
            'presenter'             => \Shopping\Shipping\Repositories\Presenter\PincodePresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['pincode',  'shipping_method_id',  'country_code',  'state_code'],
            'translatables'         => [],
            'upload_folder'         => 'shipping/pincode',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Shopping',
            'package'   => 'Shipping',
            'module'    => 'Pincode',
        ],

    ],

    'country'       => [
        'model' => [
            'model'                 => \Shopping\Shipping\Models\Country::class,
            'table'                 => 'countries',
            'presenter'             => \Shopping\Shipping\Repositories\Presenter\CountryPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['name',  'country_code',  'country_code_3'],
            'translatables'         => [],
            'upload_folder'         => 'shipping/country',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Shopping',
            'package'   => 'Shipping',
            'module'    => 'Country',
        ],

    ],

    'state'       => [
        'model' => [
            'model'                 => \Shopping\Shipping\Models\State::class,
            'table'                 => 'states',
            'presenter'             => \Shopping\Shipping\Repositories\Presenter\StatePresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['name',  'state_code',  'country_code'],
            'translatables'         => [],
            'upload_folder'         => 'shipping/state',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Shopping',
            'package'   => 'Shipping',
            'module'    => 'State',
        ],

    ],
];
