<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateShippingMethodsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: shipping_methods
         */
        Schema::create('shipping_methods', function ($table) {
            $table->increments('id');
            $table->string('name', 200)->nullable();
            $table->string('api_url', 255)->nullable();
            $table->tinyInteger('is_active')->nullable();
            $table->string('website', 250)->nullable();
            $table->text('phone')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('shipping_methods');
    }
}
