<?php

namespace Shopping;

use DB;
use Illuminate\Database\Seeder;

class ShippingTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('shipping_methods')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'shipping.shipping_method.view',
                'name'      => 'View ShippingMethod',
            ],
            [
                'slug'      => 'shipping.shipping_method.create',
                'name'      => 'Create ShippingMethod',
            ],
            [
                'slug'      => 'shipping.shipping_method.edit',
                'name'      => 'Update ShippingMethod',
            ],
            [
                'slug'      => 'shipping.shipping_method.delete',
                'name'      => 'Delete ShippingMethod',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/shipping/shipping_method',
                'name'        => 'ShippingMethod',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/shipping/shipping_method',
                'name'        => 'ShippingMethod',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'shipping_method',
                'name'        => 'ShippingMethod',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Shipping',
                'module'    => 'ShippingMethod',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'shipping.shipping_method.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
