<?php

namespace Shopping\Shipping\Models;

use Illuminate\Database\Eloquent\SoftDeletes;
use Litepie\Database\Model;
use Litepie\Database\Traits\Slugger;
use Litepie\Filer\Traits\Filer;
use Litepie\Hashids\Traits\Hashids;
use Litepie\Repository\Traits\PresentableTrait;
use Litepie\Revision\Traits\Revision;
use Litepie\Trans\Traits\Translatable;
class Pincode extends Model
{
    use Filer, SoftDeletes, Hashids, Slugger, Translatable, Revision, PresentableTrait;


    /**
     * Configuartion for the model.
     *
     * @var array
     */
     protected $config = 'shopping.shipping.pincode.model';


    /**
     * The shipping_method that belong to the pincode.
     */
    public function shipping_method(){
        return $this->belongsTo('Shipping\Pincode\Models\ShippingMethod');
    }


    /**
     * The states that belong to the pincode.
     */
    public function states(){
        return $this->belongsTo('Shipping\Pincode\Models\State');
    }
}
