<?php

namespace Shopping\Shipping\Models;

use Illuminate\Database\Eloquent\SoftDeletes;
use Litepie\Database\Model;
use Litepie\Database\Traits\Slugger;
use Litepie\Filer\Traits\Filer;
use Litepie\Hashids\Traits\Hashids;
use Litepie\Repository\Traits\PresentableTrait;
use Litepie\Revision\Traits\Revision;
use Litepie\Trans\Traits\Translatable;
class State extends Model
{
    use Filer, SoftDeletes, Hashids, Slugger, Translatable, Revision, PresentableTrait;


    /**
     * Configuartion for the model.
     *
     * @var array
     */
     protected $config = 'shopping.shipping.state.model';


    /**
     * The countries that belong to the state.
     */
    public function countries(){
        return $this->belongsTo('Shipping\State\Models\Country');
    }


    /**
     * The pincodes that belong to the state.
     */
    public function pincodes(){
        return $this->hasMany('Shipping\State\Models\Pincode');
    }
}
