<?php

namespace Shopping\Shipping\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind ShippingMethod policy
        'Shopping\Shipping\Models\ShippingMethod' => \Shopping\Shipping\Policies\ShippingMethodPolicy::class,
// Bind Pincode policy
        'Shopping\Shipping\Models\Pincode' => \Shopping\Shipping\Policies\PincodePolicy::class,
// Bind Country policy
        'Shopping\Shipping\Models\Country' => \Shopping\Shipping\Policies\CountryPolicy::class,
// Bind State policy
        'Shopping\Shipping\Models\State' => \Shopping\Shipping\Policies\StatePolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
