<?php

namespace Shopping\Shipping\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CountryTransformer extends TransformerAbstract
{
    public function transform(\Shopping\Shipping\Models\Country $country)
    {
        return [
            'id'                => $country->getRouteKey(),
            'key'               => [
                'public'    => $country->getPublicKey(),
                'route'     => $country->getRouteKey(),
            ], 
            'name'              => $country->name,
            'country_code'      => $country->country_code,
            'country_code_3'    => $country->country_code_3,
            'url'               => [
                'public'    => trans_url('shipping/'.$country->getPublicKey()),
                'user'      => guard_url('shipping/country/'.$country->getRouteKey()),
            ], 
            'status'            => trans('app.'.$country->status),
            'created_at'        => format_date($country->created_at),
            'updated_at'        => format_date($country->updated_at),
        ];
    }
}