<?php

namespace Shopping\Shipping\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class PincodeTransformer extends TransformerAbstract
{
    public function transform(\Shopping\Shipping\Models\Pincode $pincode)
    {
        return [
            'id'                => $pincode->getRouteKey(),
            'key'               => [
                'public'    => $pincode->getPublicKey(),
                'route'     => $pincode->getRouteKey(),
            ], 
            'pincode'           => $pincode->pincode,
            'shipping_method_id' => $pincode->shipping_method_id,
            'country_code'      => $pincode->country_code,
            'state_code'        => $pincode->state_code,
            'url'               => [
                'public'    => trans_url('shipping/'.$pincode->getPublicKey()),
                'user'      => guard_url('shipping/pincode/'.$pincode->getRouteKey()),
            ], 
            'status'            => trans('app.'.$pincode->status),
            'created_at'        => format_date($pincode->created_at),
            'updated_at'        => format_date($pincode->updated_at),
        ];
    }
}