<?php

namespace Shopping\Shipping\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ShippingMethodTransformer extends TransformerAbstract
{
    public function transform(\Shopping\Shipping\Models\ShippingMethod $shipping_method)
    {
        return [
            'id'                => $shipping_method->getRouteKey(),
            'key'               => [
                'public'    => $shipping_method->getPublicKey(),
                'route'     => $shipping_method->getRouteKey(),
            ], 
            'name'              => $shipping_method->name,
            'api_url'           => $shipping_method->api_url,
            'is_active'         => $shipping_method->is_active,
            'website'           => $shipping_method->website,
            'phone'             => $shipping_method->phone,
            'url'               => [
                'public'    => trans_url('shipping/'.$shipping_method->getPublicKey()),
                'user'      => guard_url('shipping/shipping_method/'.$shipping_method->getRouteKey()),
            ], 
            'status'            => trans('app.'.$shipping_method->status),
            'created_at'        => format_date($shipping_method->created_at),
            'updated_at'        => format_date($shipping_method->updated_at),
        ];
    }
}