<?php

namespace Shopping\Shipping\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class StateTransformer extends TransformerAbstract
{
    public function transform(\Shopping\Shipping\Models\State $state)
    {
        return [
            'id'                => $state->getRouteKey(),
            'key'               => [
                'public'    => $state->getPublicKey(),
                'route'     => $state->getRouteKey(),
            ], 
            'name'              => $state->name,
            'state_code'        => $state->state_code,
            'country_code'      => $state->country_code,
            'url'               => [
                'public'    => trans_url('shipping/'.$state->getPublicKey()),
                'user'      => guard_url('shipping/state/'.$state->getRouteKey()),
            ], 
            'status'            => trans('app.'.$state->status),
            'created_at'        => format_date($state->created_at),
            'updated_at'        => format_date($state->updated_at),
        ];
    }
}